
%if 0%{?fedora} && 0%{?fedora} < 16
%define googlegadgets 1
%endif
%if 0%{?fedora}
%define gpsd 1
%endif

Summary: KDE Workspace
Name:    kdebase-workspace
Version: 4.7.2
Release: 1%{?dist}

License: GPLv2
Group:   User Interface/Desktops
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-workspace-%{version}.tar.bz2
Source1: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-wallpapers-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# RH/Fedora-specific startkde changes
Patch1: kdebase-workspace-4.6.95-redhat_startkde.patch

# add konsole menuitem
Patch2: kdebase-workspace-4.5.0-plasma-konsole.patch

# only show in KDE
Patch3: kdebase-workspace-4.4.92-systemsettings_onlyshowin_kde.patch

# 441062: packagekit tools do not show icons correctly on KDE
Patch7: kdebase-workspace-4.6.80-krdb.patch

# correct quoting
Patch8: kdebase-workspace-4.2.85-klipper-url.patch

# 434824: KDE4 System Settings - No Method To Enter Administrative Mode
Patch9: kdebase-workspace-4.4.90-rootprivs.patch

# drop useless kde font directories
Patch11: kdebase-workspace-4.6.90-font.patch

# no klipper action on selection for Arora browser
Patch14: kdebase-workspace-4.2.0-klipper-arora.patch

# kio_sysinfo based on OpenSUSE's patch
Patch15: kdebase-workspace-4.3.75-kio_sysinfo.patch

# show the remaining time in the battery plasmoid's popup (#515166)
Patch16: kdebase-workspace-4.5.80-battery-plasmoid-showremainingtime.patch

# allow adding a "Leave..." button which brings up the complete shutdown dialog
# to the classic menu (as in KDE <= 4.2.x); the default is still the upstream
# default Leave submenu
Patch17: kdebase-workspace-4.5.80-classicmenu-logout.patch

# kubuntu kudos! bulletproof-X bits ripped out
Patch19: kdebase-workspace-4.4.92-kdm_plymouth081.patch
Patch20: kdebase-workspace-4.4.92-xsession_errors_O_APPEND.patch 

# support the widgetStyle4 hack in the Qt KDE platform plugin
Patch21: kdebase-workspace-4.3.98-platformplugin-widgetstyle4.patch

# drop hard dep on xorg-x11-apps (for xmessage), http://bugzilla.redhat.com/537609
Patch23: kdebase-workspace-4.5.2-startkde_zenity.patch 

# multilib QT_PLUGIN_PATH, http://bugzilla.redhat.com/704840
Patch24: kdebase-workspace-4.6.90-multilib_qt_plugin_path.patch

## upstreamable patches:
# "keyboard stops working", https://bugs.kde.org/show_bug.cgi?id=171685#c135
Patch50: kdebase-workspace-4.6.80-kde#171685.patch

# use /etc/login.defs to define a 'system' account instead of hard-coding 500 
Patch52: kdebase-workspace-4.7.0-bz#732830-login.patch

## upstream patches

## Fedora specific patches
## HAL-ectomy
Patch200: kdebase-workspace-4.5.85-no_HAL.patch
Patch210: kdebase-workspace-4.5.90-no_HAL2.patch

## trunk patches

# multilib fixed in 4.6.3-5, see https://bugzilla.redhat.com/704840
Obsoletes: kdebase-workspace < 4.6.3-5 

# kinfocenter moved kdebase-4.4 -> kdebase-workspace-4.5
Conflicts: kdebase < 6:4.4.80
# kgreet_* plugins moved here
Conflicts: kdm < 4.6.90-4

Requires: polkit-kde

%if ! 0%{?akonadi_subpkg}
Obsoletes: %{name}-akonadi < %{version}-%{release}
Provides:  %{name}-akonadi = %{version}-%{release}
Provides: plasma-dataengine-akonadi = %{version}-%{release}
%endif

Provides: plasma-dataengine-calendar = %{version}-%{release}

Provides: kde-workspace = %{version}-%{release}

# http://bugzilla.redhat.com/605675
Provides: firstboot(windowmanager) = kwin

# kdmtheme's functionality is now provided by kdebase-workspace itself
Obsoletes: kdmtheme < 1.3

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libutempter-devel
%ifnarch s390 s390x
BuildRequires: lm_sensors-devel
BuildRequires: pkgconfig(libraw1394) 
%endif
BuildRequires: pam-devel
BuildRequires: prison-devel
BuildRequires: pkgconfig(akonadi)
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(ck-connector)
BuildRequires: pkgconfig(dbusmenu-qt)
BuildRequires: pkgconfig(glib-2.0)
%if 0%{?gpsd}
BuildRequires: pkgconfig(libgps)
%endif
BuildRequires: pkgconfig(libdmtx)
BuildRequires: pkgconfig(libpci)
BuildRequires: pkgconfig(libqalculate)
# used for the Logitech mouse KCM, disabled until #399931 is fixed
# BuildRequires: pkgconfig(libusb)
BuildRequires: pkgconfig(libxklavier)
# added libnm-glib to workaround https://bugzilla.redhat.com/show_bug.cgi?id=685442
BuildRequires: pkgconfig(NetworkManager) pkgconfig(libnm-glib)
BuildRequires: pkgconfig(polkit-qt-1)
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(soprano)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xdmcp)
BuildRequires: pkgconfig(xres)

%if 0%{?googlegadgets}
BuildRequires: pkgconfig(libggadget-qt-1.0) > 0.10.5
%else
Obsoletes: kdebase-workspace-googlegadgets < 4.5.80-7
Obsoletes: plasma-scriptengine-googlegadgets < %{version}-%{release}
%endif

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdebase-runtime >= %{version}

# for kcm_keyboard
Requires: iso-codes
Requires: kio_sysinfo
Requires: ksysguardd = %{version}-%{release}
# startkde references: dbus-launch df mkdir test xmessage xprop xrandr xrdb xset xsetroot
Requires: coreutils
Requires: dbus-x11
# See http://bugzilla.redhat.com/537609
#Requires: xorg-x11-apps
Requires: xorg-x11-utils
Requires: xorg-x11-server-utils

%define default_face_icon default1.png
Requires: system-ksplash-theme
Requires: system-plasma-desktoptheme

# needed for solid-bluetooth - bluez-libs BRs are not enough, bluez provides DBus 
# interface and solid-bluetooth access this interface directly over DBus
# 
# moving deps to kbluetooth for now, see https://bugzilla.redhat.com/566306
#
#Requires: bluez
#if 0%{?fedora} && 0%{?fedora} < 13
# to help upgraders get the right dbus-bluez-pin-helper, else, will likely 
# end up with 'blueman' and all it's gnome deps
#Requires: kbluetooth
#endif

%description
The KDE Workspace consists of what is the desktop of the
KDE Desktop Environment.

This package contains:
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name}
Provides: solid-bluetooth-devel = %{version}-%{release} 
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Provides: solid-bluetooth = %{version}-%{release} 
Requires: kdelibs4%{?_isa} >= %{version}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package ksplash-themes
Summary: KDE ksplash themes
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
%description ksplash-themes
%{summary}, including Default (Air and Horos).

%package wallpapers
Summary: KDE wallpapers
Group: User Interface/Desktops
# Horos wallpaper moved back here in 4.6.1-2 (originally moved to main in 4.6.0-8)
Conflicts: kdebase-workspace < 4.6.1-2
Provides: kde-wallpapers = %{version}-%{release}
Requires: kde-filesystem
BuildArch: noarch
%description wallpapers
%{summary}.

%package -n kdm
Summary: The KDE login manager
group: User Interface/X
Provides: kdebase-kdm = %{version}-%{release}
Provides: service(graphical-login) = kdm
Requires: kdelibs4%{?_isa} >= %{version}
Requires: kde-settings-kdm
%description -n kdm
KDM provides the graphical login screen, shown shortly after boot up,
log out, and when user switching.

%package -n ksysguardd
Summary: Performance monitor daemon
Group:   System Environment/Daemons
%description -n ksysguardd
%{summary}.

%package -n oxygen-cursor-themes
Summary: Oxygen cursor themes
Group: User Interface/Desktops
BuildArch: noarch
%description -n oxygen-cursor-themes
%{summary}.

%package -n plasma-scriptengine-googlegadgets
Summary: Plasma scriptengine for Google Desktop Gadgets
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-googlegadgets < 4.5.80-7
Provides:  %{name}-googlegadgets = %{version}-%{release}
%description -n plasma-scriptengine-googlegadgets
%{summary}.

%package -n plasma-scriptengine-python 
Summary: Plasma scriptengine for python
Group: User Interface/Desktops
Obsoletes: %{name}-python-applet < 4.5.80-7
Provides:  %{name}-python-applet = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: PyKDE4 >= %{version}
%description -n plasma-scriptengine-python 
%{summary}.

%package -n plasma-scriptengine-ruby
Summary: Plasma scriptengine for ruby 
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: ruby 
%description -n plasma-scriptengine-ruby
%{summary}.

%package akonadi
Summary: Akonadi integration for KDE Workspace
Group: User Interface/Desktops
Provides: plasma-dataengine-akonadi = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: akonadi
%description akonadi
%{summary}.


%prep

%setup -q -T -c -a 0
%setup -q -T -D -a 1

# mimic old kdebase-workspace behaviour to match package name
mv kde-workspace-%{version} %{name}-%{version}

pushd %{name}-%{version}

%patch1 -p1 -b .redhat_startkde
# Well, I looked at doing this using the context menu plugin system and it
# looked like a lot more work than this simple patch to me. -- Kevin
%patch2 -p1 -b .plasma-konsole
%patch3 -p1 -b .systemsettings_onlyshowin_kde
%patch7 -p1 -b .krdb
%patch8 -p1 -b .klipper-url
%patch9 -p1 -b .rootprivs
%patch11 -p1 -b .font
%patch15 -p1 -b .kio_sysinfo
%patch16 -p1 -b .showremainingtime
%patch17 -p1 -b .classicmenu-logout
%patch19 -p1 -b .kdm_plymouth
%patch20 -p1 -b .xsession_errors_O_APPEND
%patch21 -p1 -b .platformplugin-widgetstyle4
%patch23 -p1 -b .startkde_zenity
%patch24 -p1 -b .multilib_qt_plugin_path

# upstreamable patches
%patch50 -p1 -b .kde#171685
%patch52 -p1 -b .bz#732830-login

# upstream patches

# Fedora patches
%patch200 -p0 -b .no_HAL
%patch210 -p1 -b .no_HAL2
popd


%build

pushd %{name}-%{version}
    mkdir -p %{_target_platform}
    pushd %{_target_platform}
        %{cmake_kde4} \
          -DKDE4_KDM_PAM_SERVICE=kdm \
          -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
          -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
          ..
    popd

    make %{?_smp_mflags} -C %{_target_platform} 
popd

pushd kde-wallpapers-%{version}
    mkdir -p %{_target_platform}
    pushd %{_target_platform}
        %{cmake_kde4} ..
    popd

    make %{?_smp_mflags} -C %{_target_platform} 
popd


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{name}-%{version}/%{_target_platform}
make install/fast DESTDIR=%{buildroot} -C kde-wallpapers-%{version}/%{_target_platform}

# xsession support
mkdir -p %{buildroot}%{_datadir}/xsessions/
mv %{buildroot}%{_kde4_appsdir}/kdm/sessions/kde-plasma.desktop \
   %{buildroot}%{_kde4_appsdir}/kdm/sessions/kde-plasma-safe.desktop \
   %{buildroot}%{_datadir}/xsessions/

# remove extraneous xsession files
rm -rf %{buildroot}%{_kde4_appsdir}/kdm/sessions

# nuke, use external kde-settings-kdm
rm -rf  %{buildroot}%{_kde4_configdir}/kdm

# own %{_kde4_appsdir}/kdm/faces and set default user image
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/faces
pushd %{buildroot}%{_kde4_appsdir}/kdm/faces
ln -sf ../pics/users/%{default_face_icon} .default.face.icon
popd

## unpackaged files


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/COPYING %{name}-%{version}/README
%{_kde4_bindir}/kaccess                           
%{_kde4_bindir}/kapplymousetheme                  
%{_kde4_bindir}/kblankscrn.kss                    
%{_kde4_bindir}/kcheckrunning                     
%{_kde4_bindir}/kcminit                           
%{_kde4_bindir}/kcminit_startup                   
%{_kde4_bindir}/kdostartupconfig4                 
%{_kde4_bindir}/kinfocenter
%{_kde4_bindir}/klipper
%{_kde4_bindir}/kmenuedit
%{_kde4_bindir}/krandom.kss
%{_kde4_bindir}/krandrstartup
%{_kde4_bindir}/krandrtray
%{_kde4_bindir}/krdb
%{_kde4_bindir}/krunner
%{_kde4_bindir}/ksmserver
%{_kde4_bindir}/ksplashsimple
%{_kde4_bindir}/ksplashx
%{_kde4_bindir}/ksplashx_scale
%{_kde4_bindir}/kstartupconfig4
%{_kde4_bindir}/ksysguard
%{_kde4_bindir}/ksystraycmd
%{_kde4_bindir}/kwin*
%{_kde4_bindir}/oxygen-demo
%{_kde4_bindir}/oxygen-settings
%{_kde4_bindir}/oxygen-shadow-demo
%{_kde4_bindir}/plasma-desktop
%{_kde4_bindir}/plasma-netbook
%{_kde4_bindir}/plasma-overlay
%{_kde4_bindir}/plasma-windowed
%{_kde4_bindir}/plasmaengineexplorer
%{_kde4_bindir}/plasmoidviewer
%{_kde4_bindir}/plasmawallpaperviewer
%{_kde4_bindir}/remote-widgets-browser
%{_kde4_bindir}/solid-action-desktop-gen
%{_kde4_bindir}/solid-network
%{_kde4_bindir}/startkde
%{_kde4_bindir}/systemsettings


%{_kde4_appsdir}/color-schemes/
%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/freespacenotifier/
%{_kde4_appsdir}/kaccess/
%{_kde4_appsdir}/katepart/syntax/plasma-desktop-js.xml
%{_kde4_appsdir}/kcminput/
%{_kde4_appsdir}/kcmkeyboard/
%{_kde4_appsdir}/kcmkeys/
%{_kde4_appsdir}/kcmsolidactions/
%{_kde4_appsdir}/kcmusb/
%ifnarch s390 s390x
%{_kde4_appsdir}/kcmview1394/
%endif
%{_kde4_appsdir}/kconf_update/
%{_kde4_appsdir}/kcontrol/
%{_kde4_appsdir}/kdisplay/
%{_kde4_appsdir}/khotkeys/
%{_kde4_appsdir}/kinfocenter/
%{_kde4_appsdir}/kmenuedit/
%{_kde4_appsdir}/kscreenlocker/
%dir %{_kde4_appsdir}/ksplash/
%dir %{_kde4_appsdir}/ksplash/Themes/
%{_kde4_appsdir}/ksplash/Themes/None/
%{_kde4_appsdir}/ksplash/Themes/Simple/
%{_kde4_appsdir}/ksplash/Themes/SimpleSmall/
%{_kde4_appsdir}/ksysguard/
%{_kde4_appsdir}/kthememanager/
%{_kde4_appsdir}/kwin/
%{_kde4_appsdir}/kwrited/
%{_kde4_appsdir}/plasma/
%{_kde4_appsdir}/plasma-desktop/
%{_kde4_appsdir}/plasma-netbook/
%{_kde4_appsdir}/powerdevil/
%{_kde4_appsdir}/solid/
%{_kde4_appsdir}/solidfakenetbackend/
%{_kde4_appsdir}/systemsettings/
# which package should own this?
%{_kde4_appsdir}/kstyle/themes/

%{_kde4_configdir}/activities.knsrc
%{_kde4_configdir}/aurorae.knsrc
%{_kde4_configdir}/background.knsrc
%{_kde4_configdir}/colorschemes.knsrc
%{_kde4_configdir}/ksplash.knsrc
%{_kde4_configdir}/ksysguard.knsrc
%{_kde4_configdir}/plasma-overlayrc
%{_kde4_configdir}/plasma-themes.knsrc
%{_kde4_configdir}/wallpaper.knsrc
%{_kde4_configdir}/xcursor.knsrc

%{_kde4_datadir}/kde4/services/*
%exclude %{_kde4_datadir}/kde4/services/kdm.desktop
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/pop.wav
%{_kde4_datadir}/autostart/klipper.desktop
%{_kde4_datadir}/autostart/krunner.desktop
%{_kde4_datadir}/autostart/plasma.desktop
%{_kde4_datadir}/autostart/plasma-desktop.desktop
%{_kde4_datadir}/applications/kde4/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/*.service
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/xsessions/*.desktop
%{_kde4_docdir}/HTML/en/kfontview/
%{_kde4_docdir}/HTML/en/kcontrol/
%{_kde4_docdir}/HTML/en/kinfocenter/
%{_kde4_docdir}/HTML/en/klipper/
%{_kde4_docdir}/HTML/en/kmenuedit/
%{_kde4_docdir}/HTML/en/ksysguard/
%{_kde4_docdir}/HTML/en/plasma-desktop/
%{_kde4_docdir}/HTML/en/systemsettings/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/classic_mode.so
%{_kde4_libdir}/kde4/devinfo.so
%{_kde4_libdir}/kde4/icon_mode.so
%{_kde4_libdir}/kde4/ion_*.so
%{_kde4_libdir}/kde4/kcm_*.so
%exclude %{_kde4_libdir}/kde4/kcm_kdm.so
%{_kde4_libdir}/kde4/kded_*.so
%{_kde4_libdir}/kde4/keyboard_layout_widget.so
%{_kde4_libdir}/kde4/kgreet_*.so
%{_kde4_libdir}/kde4/krunner_*.so
%{_kde4_libdir}/kde4/kstyle_oxygen_config.so
%{_kde4_libdir}/kde4/kwin*_*.so
%{_kde4_libdir}/kde4/plasma_animator_default.so
%{_kde4_libdir}/kde4/plasma_applet_*.so
%{_kde4_libdir}/kde4/plasma_containmentactions_*.so
%if 0%{?gpsd}
%{_kde4_libdir}/kde4/plasma-geolocation-gps.so
%{_kde4_datadir}/kde4/services/plasma-geolocation-gps.desktop
%endif
%{_kde4_libdir}/kde4/plasma_appletscriptengine_dashboard.so
%{_kde4_libdir}/kde4/plasma_appletscriptengine_webapplet.so
%{_kde4_libdir}/kde4/plasma_containment_*.so
%{_kde4_libdir}/kde4/plasma_engine_*.so
%{_kde4_libdir}/kde4/plasma-geolocation-ip.so
%{_kde4_libdir}/kde4/plasma_package*_*.so
%{_kde4_libdir}/kde4/plasma_toolbox_*.so
%{_kde4_libdir}/kde4/plasma_wallpaper_*.so
%{_kde4_libdir}/kde4/powerdevil*.so
%{_kde4_libdir}/kde4/solid_*.so
%{_kde4_libexecdir}/kcheckpass
%{_kde4_libexecdir}/kcmdatetimehelper
%{_kde4_libexecdir}/kcmkdmhelper
%{_kde4_libexecdir}/krootimage
%{_kde4_libexecdir}/kscreenlocker
%{_kde4_libexecdir}/ksysguardprocesslist_helper
%{_kde4_libexecdir}/kwin_killer_helper
%{_kde4_libexecdir}/kwin_opengl_test
%{_kde4_libexecdir}/kwin_rules_dialog
%{_kde4_libexecdir}/test_kcm_xinerama
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/libkickoff.so
%{_kde4_libdir}/libpowerdevilcore.so
%{_kde4_libdir}/libpowerdevilui.so
%{_kde4_libdir}/libsystemsettingsview.so
%{_kde4_libdir}/kconf_update_bin/*
%{_mandir}/man1/plasm*.1*

%if 0%{?googlegadgets}
# googlegadgets
%exclude %{_kde4_libdir}/kde4/plasma_package_ggl.so
%exclude %{_kde4_libdir}/kde4/plasma_scriptengine_ggl.so
%exclude %{_kde4_datadir}/kde4/services/*googlegadgets.desktop
%endif
# python 
%exclude %{_kde4_datadir}/kde4/services/plasma-scriptengine*python.desktop
# ruby
%exclude %{_kde4_datadir}/kde4/services/plasma-scriptengine-*ruby*.desktop
%if 0%{?akonadi_subpkg}
%exclude %{_kde4_libdir}/kde4/plasma_engine_akonadi.so
%exclude %{_kde4_datadir}/kde4/services/plasma-engine-akonadi.desktop
%endif
%{_kde4_bindir}/kfontinst
%{_kde4_bindir}/kfontview
%{_kde4_libdir}/kde4/fontthumbnail.so
%{_kde4_libdir}/kde4/kfontviewpart.so
%{_kde4_libdir}/kde4/kio_fonts.so
%{_kde4_libdir}/strigi/strigita_font.so
%{_kde4_libexecdir}/backlighthelper
%{_kde4_libexecdir}/fontinst
%{_kde4_libexecdir}/fontinst_helper
%{_kde4_libexecdir}/fontinst_x11
%{_kde4_libexecdir}/kfontprint
%{_polkit_qt_policydir}/org.kde.fontinst.policy
%{_polkit_qt_policydir}/org.kde.kcontrol.kcmclock.policy
%{_polkit_qt_policydir}/org.kde.kcontrol.kcmkdm.policy
%{_polkit_qt_policydir}/org.kde.ksysguard.processlisthelper.policy
%{_polkit_qt_policydir}/org.kde.powerdevil.backlighthelper.policy
%{_kde4_appsdir}/kfontinst/
%{_kde4_appsdir}/kfontview/
%{_kde4_appsdir}/konqsidebartng/virtual_folders/services/fonts.desktop

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkdecorations.so.4*
%{_kde4_libdir}/libkephal.so.4*
%{_kde4_libdir}/libkfontinst.so.4*
%{_kde4_libdir}/libkfontinstui.so.4*
%{_kde4_libdir}/libkhotkeysprivate.so.4*
%{_kde4_libdir}/libkscreensaver.so.5*
%{_kde4_libdir}/libksgrd.so.4*
%{_kde4_libdir}/libksignalplotter.so.4*
%{_kde4_libdir}/libkwineffects.so.1*
%{_kde4_libdir}/libkwinnvidiahack.so.4*
%{_kde4_libdir}/libkworkspace.so.4*
%{_kde4_libdir}/liblsofui.so.4*
%{_kde4_libdir}/liboxygenstyle.so.4*
%{_kde4_libdir}/libplasma-geolocation-interface.so.4*
%{_kde4_libdir}/libplasma_applet-system-monitor.so.4*
%{_kde4_libdir}/libplasmaclock.so.4*
%{_kde4_libdir}/libplasmagenericshell.so.4*
%{_kde4_libdir}/libprocesscore.so.4*
%{_kde4_libdir}/libprocessui.so.4*
%{_kde4_libdir}/libsolidcontrol.so.4*
%{_kde4_libdir}/libsolidcontrolifaces.so.4*
%{_kde4_libdir}/libsystemsettingsview.so.2*
%{_kde4_libdir}/libtaskmanager.so.4*
%{_kde4_libdir}/libweather_ion.so.6*
%{_kde4_libdir}/libpowerdevilcore.so.0*
%{_kde4_libdir}/kde4/plugins/designer/ksignalplotterwidgets.so
%{_kde4_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%{_kde4_libdir}/kde4/plugins/designer/ksysguardlsofwidgets.so
%{_kde4_libdir}/kde4/plugins/gui_platform/libkde.so
%{_kde4_libdir}/kde4/plugins/styles/oxygen.so

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_appsdir}/cmake/modules/*.cmake
%{_kde4_libdir}/cmake/KDE4Workspace/
%{_kde4_libdir}/libkdecorations.so
%{_kde4_libdir}/libkephal.so
%{_kde4_libdir}/libkfontinst.so
%{_kde4_libdir}/libkfontinstui.so
%{_kde4_libdir}/libkscreensaver.so
%{_kde4_libdir}/libksgrd.so
%{_kde4_libdir}/libksignalplotter.so
%{_kde4_libdir}/libkwineffects.so
%{_kde4_libdir}/libkworkspace.so
%{_kde4_libdir}/liblsofui.so
%{_kde4_libdir}/liboxygenstyle.so
%{_kde4_libdir}/libplasma-geolocation-interface.so
%{_kde4_libdir}/libplasma_applet-system-monitor.so
%{_kde4_libdir}/libplasmaclock.so
%{_kde4_libdir}/libplasmagenericshell.so
%{_kde4_libdir}/libprocesscore.so
%{_kde4_libdir}/libprocessui.so
%{_kde4_libdir}/libsolidcontrol.so
%{_kde4_libdir}/libsolidcontrolifaces.so
%{_kde4_libdir}/libtaskmanager.so
%{_kde4_libdir}/libweather_ion.so

%files ksplash-themes
%defattr(-,root,root,-)
%{_kde4_appsdir}/ksplash/Themes/Default/

%files wallpapers
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/Aghi/
%{_kde4_datadir}/wallpapers/Air/
%{_kde4_datadir}/wallpapers/Autumn/
%{_kde4_datadir}/wallpapers/Blue_Wood
%{_kde4_datadir}/wallpapers/Evening/
%{_kde4_datadir}/wallpapers/Fields_of_Peace/
%{_kde4_datadir}/wallpapers/Finally_Summer_in_Germany/
%{_kde4_datadir}/wallpapers/Fresh_Morning/
%{_kde4_datadir}/wallpapers/Grass/
%{_kde4_datadir}/wallpapers/Hanami/
%{_kde4_datadir}/wallpapers/Horos/
%{_kde4_datadir}/wallpapers/Media_Life/
%{_kde4_datadir}/wallpapers/Plasmalicious/
%{_kde4_datadir}/wallpapers/Quadros
%{_kde4_datadir}/wallpapers/Red_Leaf/
%{_kde4_datadir}/wallpapers/stripes.png*

%files -n kdm
%defattr(-,root,root,-)
%{_kde4_bindir}/genkdmconf
%{_kde4_bindir}/kdm
%{_kde4_bindir}/kdmctl
%{_kde4_libdir}/kde4/kcm_kdm.so
%{_kde4_libexecdir}/kdm_config
%{_kde4_libexecdir}/kdm_greet
%{_kde4_configdir}/kdm.knsrc
%{_kde4_docdir}/HTML/en/kdm/
%dir %{_kde4_appsdir}/doc
%{_kde4_appsdir}/doc/kdm/
%{_kde4_appsdir}/kdm/
%{_kde4_datadir}/kde4/services/kdm.desktop

%files -n ksysguardd
%defattr(-,root,root,-)
%config(noreplace) %{_kde4_sysconfdir}/ksysguarddrc
%{_kde4_bindir}/ksysguardd

%files -n oxygen-cursor-themes
%defattr(-,root,root,-)
%{_kde4_iconsdir}/Oxygen_Black/
%{_kde4_iconsdir}/Oxygen_Black_Big/
%{_kde4_iconsdir}/Oxygen_Blue/
%{_kde4_iconsdir}/Oxygen_Blue_Big/
%{_kde4_iconsdir}/Oxygen_White/
%{_kde4_iconsdir}/Oxygen_White_Big/
%{_kde4_iconsdir}/Oxygen_Yellow/
%{_kde4_iconsdir}/Oxygen_Yellow_Big/
%{_kde4_iconsdir}/Oxygen_Zion/
%{_kde4_iconsdir}/Oxygen_Zion_Big/

%if 0%{?googlegadgets}
%files -n plasma-scriptengine-googlegadgets
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_package_ggl.so
%{_kde4_libdir}/kde4/plasma_scriptengine_ggl.so
%{_kde4_datadir}/kde4/services/*googlegadgets.desktop
%endif

%files -n plasma-scriptengine-python
%defattr(-,root,root,-)
%{python_sitearch}/PyKDE4/plasmascript.py*
%{_kde4_appsdir}/plasma_scriptengine_python
%{_kde4_datadir}/kde4/services/plasma-scriptengine*python.desktop

%files -n plasma-scriptengine-ruby
%defattr(-,root,root,-)
%{_kde4_appsdir}/plasma_scriptengine_ruby/
%{_kde4_datadir}/kde4/services/plasma-scriptengine-*ruby*.desktop

%if 0%{?akonadi_subpkg}
%files akonadi
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_engine_akonadi.so
%{_kde4_datadir}/kde4/services/plasma-engine-akonadi.desktop
%endif


%changelog
* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Tue Sep 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- switch to pkgconfig-style deps

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- upstream kwin_performance patch
- Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (#732830)

* Wed Sep 14 2011 Radek Novacek <rnovacek@redhat.com> 4.7.1-1
- Remove upstreamed patch kdebase-workspace-4.7.0-kde#278206.patch

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Tue Aug 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-9
- disable google-gadget support (f16+)

* Sun Aug 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.7.0-8
- rebuild again for the fixed RPM dependency generators for Plasma (#732271)

* Sun Aug 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.7.0-7
- rebuild for the RPM dependency generators for Plasma (GSoC 2011)

* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-6
- upstream kwin malloc patch

* Sat Aug 13 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-5
- upstream kwin software rasterizer patch

* Thu Aug 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-4
- modularize googlegadget/gpsd support a bit

* Sat Aug 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-3
- drop Requires: nepomukcontroller (included in kde-runtime now)

* Thu Jul 28 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.7.0-2
- fix GDM getting misdetected as LightDM (kde#278206, patch by Alex Fiestas)

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0
- kde4workspace_version is not needed anymore
- Provides: kde-workspace kde-wallpapers (to match new upstream tarballs)

* Thu Jul 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-4
- rebuild (qt48)

* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-3
- Conflicts: kdm < 4.6.90-4 (when kgreet_* plugins moved) 

* Tue Jul 12 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-2
- fix redhat_startkde.patch

* Fri Jul 08 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.95-1
- 4.6.95 (rc2)

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-4
- move kgreet_* plugins to main pkg, needed by kscreenlocker (#711234)

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-3
- startkde: omit MALLOC_CHECK pieces

* Thu Jun 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- cleanup/remove some old/deprecated pieces

* Mon Jun 27 2011 Than Ngo <than@redhat.com> - 4.6.90-1
- 4.6.90 (rc1)

* Fri May 27 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.80-1
- 4.6.80 (beta1)
- add BR prison-devel

* Thu May 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-9
- drop BR: libcaptury-devel

* Wed May 25 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-8
- virtual desktop names are lost after log out (kde#272666)

* Sat May 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-7
- multilib QT_PLUGIN_PATH (#704840)

* Thu May 19 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.6.3-6
- make nm-09-compat patch F15-only, it won't work on Rawhide anyway

* Sun May 15 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-5
- kde4/plugins/styles/oxygen.so is not multilib (#704840)

* Sun May 08 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.6.3-4
- nm-09-compat: reenable Solid NM backend build with NM 0.9 (disabled in 4.6.3)

* Sat Apr 30 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.3-3
- fix spurious "Networking system disabled" message (#700831)

* Fri Apr 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-2
- use updated plymouth patch trying new method first

* Thu Apr 28 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-1
- 4.6.3

* Thu Apr 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.6.2-4
- fix kde#270942 (direct rendering disabled on Intel graphics since mesa 7.10.1)

* Fri Apr 08 2011 Jaroslav Reznik <jreznik@redhat.com> - 4.6.2-3
- fix the temperature plasmoids and ksysguard temperature sensors regression

* Thu Apr 07 2011 Lukas Tinkl <ltinkl@redhat.com> - 4.6.2-2
- #694222 - Brightness controls no longer work
- kdebug#257948 - Powerdevil can no longer control brightness
- drop obsolete HAL backlight patch

* Wed Apr 06 2011 Than Ngo <than@redhat.com> - 4.6.2-1
- 4.6.2

* Tue Apr 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-7.1
- apply no_HAL patches on f14 too

* Sun Apr 03 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.6.1-7
- Restore lost hunks from redhat_startkde patch, fixes regressions with running
  Qt 3 binaries (Qt 3 Assistant etc.) and with the initial background color
- Fix incorrectly rebased hunk from redhat_startkde patch, fixes regression with
  language setting

* Wed Mar 30 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.1-6
- Autohide panel gets visible and does not hide itself (#690450)

* Thu Mar 24 2011 Dan Williams <dcbw@redhat.com> 4.6.1-5
- Rebuild with NM 0.9 compat patches (F15+)

* Thu Mar 24 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-4
- Notification size increases randomly and cant be restored (#688967)

* Mon Mar 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-3
- solid_nm_emit patch

* Mon Mar 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-2
- use system-kde-theme again (ie, lovelock-kde-theme on f15)
- -Requires: system-backgrounds-kde
- +Requires: system-plasma-desktoptheme 
- -ksplash-themes: move Default (Air+Horos) ksplash theme here

* Sat Feb 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Fri Feb 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-8
- include Horos wallpaper (upstream default) in main pkg, not -wallpapers

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-6
- drop Requires: system-{backgrounds,ksplash}-kde, use
  generic/upstream theming, for now.

* Thu Feb 03 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-5
- oxygen theme crasher (#674792, kde#265271)

* Wed Jan 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-4
- startkde: drop MALLOC_CHECK bits

* Tue Jan 25 2011 Lukas Tinkl <ltinkl@redhat.com> - 4.6.0-3
- respun tarball, omit (now upstreamed) PowerDevil 
  fixes from 4.6.0-2

* Mon Jan 24 2011 Lukas Tinkl <ltinkl@redhat.com> - 4.6.0-2
- handle PowerDevil config migration

* Fri Jan 21 2011 Jaroslav Reznik <jreznik@redhat.com> 4.6.0-1
- 4.6.0

* Tue Jan 18 2011 Jaroslav Reznik <jreznik@redhat.com> 4.5.95-3
- require nepomukcontroller (temporary)

* Fri Jan 14 2011 Jaroslav Reznik <jreznik@redhat.com> 4.5.95-2
- add optional BR libdmtx (data matrix bar-codes support)

* Wed Jan 05 2011 Jaroslav Reznik <jreznik@redhat.com> 4.5.95-1
- 4.5.95 (4.6rc2)

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.90-1
- 4.5.90 (4.6rc1)

* Sat Dec 04 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.5.85-2
- adjust the HALsectomy patches
- remove solid-powermanagement

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> - 4.5.85-1
- 4.5.85 (4.6beta2)

* Wed Dec 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-7
- -googlegadgets => plasma-scriptengine-googlegaddgets
- -python-applet => plasma-scriptengine-python
- (new) plasma-scriptengine-ruby

* Wed Nov 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-6
- drop old polkit conditionals
- don't include libpowerdevil{core,ui}.so in -devel

* Tue Nov 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-5
- drop Obsoletes: -python-applet

* Tue Nov 23 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.80-4
- respun tarball, includes Python script engine fixes

* Mon Nov 22 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.5.80-3
- disable PowerDevil's HAL backend (aka project HALsectomy)

* Mon Nov 22 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.80-2
- backport upstream fixes to reenable and fix the Python script engine

* Sat Nov 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.80-1
- 4.5.80 (4.6beta1)

* Mon Nov 15 2010 Than Ngo <than@redhat.com> - 4.5.3-3
- apply patch to fix crash on automatic re-login after automatic login

* Sat Nov 06 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.3-2
- drop classicmenu-games patch, upstream fixed the same issue differently and
  now the 2 fixes conflict (classic menu confuses Name and Description)

* Fri Oct 29 2010 Than Ngo <than@redhat.com> - 4.5.3-1
- 4.5.3

* Wed Oct 27 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.5.2-5
- use upstream ck-shutdown patch from 4.6 trunk (instead of my old one),
  supports GDM session switching (#560511, kde#186198)
- drop old F11- version of the ck-shutdown patch, F11 is EOL

* Wed Oct 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-4
- kdebase-workspace depends on xorg-x11-apps (#537609)

* Sat Oct 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-3
- backport kwin ui for unredirecting fullscreen windows

* Fri Oct 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-2
- include better, upstream fix for: krandr: Display Settings are Lost
  on Logout (kdebug183143, rh#607180)

* Fri Oct 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-1
- 4.5.2

* Wed Sep 29 2010 jkeating - 4.5.1-5
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-4
- kdm is not localized when changing lang using system-config-language (#631861)

* Wed Sep 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-3
- Provides: firstboot(windowmanager)  (#605675)

* Sun Aug 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-2
- "fonts/package" is an invalid MIME type (#581896)

* Fri Aug 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.5.1-1
- 4.5.1

* Thu Aug 26 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.0-4
- Requires: iso-codes (for kcm_keyboard)

* Fri Aug 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.0-3
- krunner "run command" doesn't keep any history (kde#247566)

* Thu Aug 12 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.5.0-2
- disable malloc checking in startkde for releases

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 4.5.0-1
- 4.5.0
- kde4workspace_version

* Tue Jul 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.95-1.py27
- rebuild for python27

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 4.4.92-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-2
- omit non-essential xsession .desktop files, runs afoul of selinux (#588130)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.90-2
- port and reapply rootprivs (#434824) patch

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.90-1
- 4.5 RC1 (4.4.90)

* Wed Jun 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.85-5
- krandr: Display Settings are Lost on Logout (kdebug183143, rh#607180)

* Mon Jun 21 2010 Karsten Hopp <karsten@redhat.com> 4.4.85-4
- don't require raw1394 on s390, s390x

* Sun Jun 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.85-3
- Significant CPU penalty for using Kwin effects (kde#239963)

* Tue Jun 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.85-2
- Adding "Enable networking" button to knetworkmanager (rh#598765, kde#238325)
- drop < f12 conditionals
- pciutils, raw1394 & qualculate BRs
- added kcmkdm helper and policy (from kdelibs)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Fri May 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.80-3
- Conflicts: kdebase < 6:4.4.80

* Tue May 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.80-2
- Blur shadow around widgets does not smoothly fade out (kde#235620)

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.80-1
- 4.5 Beta 1 (4.4.80)
- kxkb and safestartkde has been removed
- add newly installed files

* Sat May 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.3-2
- rebuild (gpsd,kdelibs)

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.3-1
- 4.4.3

* Tue Apr 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-5
- powerdevil only autosuspends once/twice (kde#221648) 
- CVE-2010-0436 

* Mon Apr 12 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-4
- another stab at f13 kdm/plymouth love (#577482)
- powerdevil always suspends twice (kde#221637)

* Wed Apr 07 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.2-3
- rip out bulletproof X changes (cf. kubuntu_33_kdm_bulletproof_x.diff) from
  our copy of kubuntu_34_kdm_plymouth_transition.diff
- drop experimental novt patch, should not be needed with the working Plymouth
  integration and may have side effects (can readd it later if really needed)
- fix icon name in plasma-konsole patch: use XDG icon instead of kappfinder one

* Tue Apr 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-2
- try to workaround "X server hogs the CPU (#577482)" by letting X
  choose vt itself
- include (but not yet apply) kubuntu_34_kdm_plymouth_transition.diff

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.2-1
- 4.4.2

* Thu Mar 11 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.1-2
- fix KSysGuard and KRunner System Activity dialog not refreshing (kde#230187)

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-1
- 4.4.1

* Fri Feb 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-8
- fix the Games menu in the classic menu mixing up Name and Description

* Fri Feb 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-7
- version solid-bluetooth(-devel) better

* Fri Feb 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-6
- solid-bluetooth and Requires: bluez ... pulls unwanted baggage (#566306)

* Tue Feb 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-5.1
- Requires: kbluetooth (<f13)

* Sat Feb 13 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-5
- fix incorrectly rebased classicmenu-logout patch (#564536)

* Thu Feb 11 2010 Than Ngo <than@redhat.com> - 4.4.0-4
- move xsession desktop files to main package
  (cannot start kde from gdm if kdm not installed)
- Desktop locking crashes (kde#217882#16)

* Thu Feb 11 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.0-3
- requires bluez for solid-bluetooth

* Tue Feb 09 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-2.1
- use old ck-shutdown patch without the CanStop check on F11 (#562851)

* Mon Feb 08 2010 Than Ngo <than@redhat.com> - 4.4.0-2
- apply upstream patch to fix Plasma Memory Leak and High CPU usage

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 4.4.0-1
- 4.4.0

* Tue Feb 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.98-3
- support the widgetStyle4 hack in the Qt KDE platform plugin

* Mon Feb 01 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.98-2
- rebase battery-plasmoid-showremainingtime patch and remove references to 4.2

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Sat Jan 30 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.95-2
- ck-shutdown: don't offer shutdown/restart when not allowed by CK (#529644)

* Thu Jan 21 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Thu Jan 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.3.90-10
- fix polkit-1 conditionals

* Wed Jan 20 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.90-9
- fix infinite recursion in the patch for #556643

* Tue Jan 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-8
- SELinux is preventing /sbin/setfiles "read" access on
  /var/spool/gdm/force-display-on-active-vt (deleted) (#556643)

* Sun Jan 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-7
- rebuild (libxklavier)

* Thu Jan 14 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.3.90-6
- fix KDM's missing header build problem
- polkit-qt BR for polkit-1

* Mon Jan 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-5
- do not link calendar dataengine with Akonadi (kde#215150, rh#552473)
- s/plasma-engine/plasma-dataengine/

* Fri Jan 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-4
- krunner crasher (kde#221871)

* Fri Jan 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-3
- rebuild (kdelibs polkit-1 macros)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- drop -akonadi subpkg

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Tue Jan 05 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.85-3
- F13+: don't Obsoletes: PolicyKit-kde, let polkit-kde obsolete it
- F13+: explicitly require polkit-kde instead of PolicyKit-authentication-agent

* Sat Jan 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-2
- startkde: disable MALLOC_CHECK_

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.80-5
- Repositioning the KDE Brand (#547361)

* Fri Dec 11 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.80-4
- SELinux is preventing access to a leaked .xsession-errors-:0 file descriptor (#542312)

* Wed Dec 09 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.80-3
- drop polkit-qt* Obsoletes, we have a new polkit-qt now

* Wed Dec 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.80-2
- BR: shared-desktop-ontologies-devel

* Tue Dec 01 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)
- kdm_plymouth patch (#475890)

* Sat Nov 28 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.75-0.4.svn1048496
- backport battery plasmoid from current pre-4.3.80 trunk for showremainingtime
- rebase battery-plasmoid-showremainingtime patch
- rebase brightness-keys patch for the above backport

* Sat Nov 28 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.75-0.3.svn1048496
- rebase plasma-konsole patch

* Wed Nov 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.75-0.2.svn1048496
- Requires: PolicyKit-authentication-agent unconditionally

* Sat Nov 21 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- update to 4.3.75 snapshot

* Wed Nov 18 2009 Lukáš Tinkl <ltinkl@redhat.com> 4.3.3-8
- correctly try to deduce LANG (kubuntu_13_startkde_set_country.diff)

* Fri Nov 13 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.3-7
- kubuntu_101_brightness_fn_keys_and_osd.diff (#509295)

* Fri Nov 13 2009 Than Ngo <than@redhat.com> - 4.3.3-6
- rhel cleanup, fix conditional for RHEL

* Thu Nov 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-5
- fix logic on Requires: kdm  (ie, make F-12 builds not include it)

* Thu Nov 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-4
- try experimental patch for "keyboard stops working" (kde#171685)

* Wed Nov 11 2009 Than Ngo <than@redhat.com> - 4.3.3-3
- rhel cleanup, drop BR on libcaptury-devel

* Mon Nov 09 2009 Rex Dieter <rdieter@fedoraprojectg.org> - 4.3.3-2
- Obsoletes: polkit-qt-examples (f12+)
- -devel: Obsoletes: polkit-qt-devel (f12+)

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3
- BR: libXau-devel libXdmcp-devel

* Thu Oct 15 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.2-2
- drop Requires: oxygen-icon-theme (dep moved to kdebase-runtime)

* Sun Oct 04 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Sun Sep 27 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.1-9
- fix classicmenu-logout ("Leave...") patch

* Sun Sep 27 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.1-8
- support "Leave..." which brings up complete shutdown dialog in classic menu

* Fri Sep 25 2009 Than Ngo <than@redhat.com> - 4.3.1-7
- don't include googlegadgets on RHEL

* Thu Sep 24 2009 Than Ngo <than@redhat.com> - 4.3.1-6
- rhel cleanup

* Wed Sep 23 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.1-5
- fix spontaneous Plasma crashes due to uninitialized vars

* Mon Sep 14 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.1-4
- drop PolicyKit 0.9 support (PolicyKit-kde) on F12+/EL

* Sat Sep 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.1-3
- -python-applet: Provides: plasma-scriptengine-python
- Requires: system-ksplash-theme (f12+,rhel6+)

* Fri Sep 11 2009 Than Ngo <than@redhat.com> - 4.3.1-2
- drop  BR: lm_sensors-devel on s390(x)

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1
- drop Requires: kde-plasma-folderview, rely on comps instead

* Fri Aug 28 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 4.3.0-102
- Fix typo

* Thu Aug 27 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-101
- inflate Release tag, avoiding possible upgrade/obsoletes pain 
- -devel: drop Provides: PolicyKit-kde-devel, bump Obsoletes

* Thu Aug 27 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-12
- PolicyKit-kde subpkg (#519172, #519654)

* Wed Aug 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-11
- Requires: system-backgrounds-kde (f12+)

* Tue Aug 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-10
- Requires: kde-plasma-folderview

* Sun Aug 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-9
- -akonadi: move plasma_engine_calendar here
- drop Requires: kdm (F-12+)

* Wed Aug 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-8
- adjust default-applets patch to not load plasma-networkmanagement

* Tue Aug 18 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.0-7
- move akonadi stuff to subpackage

* Fri Aug 07 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-6
- Requires: oxygen-icon-theme >= 4.3.0

* Tue Aug 04 2009 Than Ngo <than@redhat.com> - 4.3.0-5
- respin

* Mon Aug 03 2009 Than Ngo <than@redhat.com> - 4.3.0-4
- respin

* Mon Aug 03 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.0-3
- show the remaining time in the battery plasmoid's popup (as in 4.2) (#515166)

* Sat Aug 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-2
- move designer plugins to -libs, fixes
  Multilib conflicts for index.cache.bz2 (#515088)
- tighten -libs deps, using %%{?_isa}
- %%check: desktop-file-validate

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Mon Jul 27 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.98-3
- backport forgotten method impl in Solid from 4.3 branch, r1000715

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Thu Jul 09 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Mon Jul 06 2009 Than Ngo <than@redhat.com> - 4.2.95-7
- plasma-desktop crashes when closing/opening windows (upstream patch)

* Fri Jul 03 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.95-6
- add kde-plasma-networkmanagement to the default panel if installed

* Wed Jul 01 2009 Michel Salim <salimma@fedoraproject.org> - 4.2.95-5
- rebuild (google-gadgets)

* Wed Jul 01 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-4
- rebuild (libxklavier)

* Mon Jun 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-3
- omit a few kdm bits from main pkg (#508647)

* Mon Jun 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.95-2
- port and reapply rootprivs (#434824) patch (#508593)
- fix internal version number (otherwise it mismatches with our file list)

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Thu Jun 18 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-3
- startkde: make MALLOC_CHECK opt-in (default off)

* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-2
- bump Obsoletes: PolicyKit-kde

* Wed Jun 03 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Sun May 31 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-5
- make default_leonidas.png the default face icon on F11

* Sat May 30 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-4
- -devel:  exclude libkickoff.so, libsystemsettingsview.so
- drop old cmake crud

* Fri May 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-3
- omit/revert session-button patch (kde#194506,rh#502953)
- drop unused knotificationitem-1 patch

* Wed May 27 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-2
- upgrade path broken (F-11+), Obsoletes: guidance-power-manager (#502892)
- drop < F-10 crud, have_bluez3

* Mon May 11 2009 Than Ngo <than@redhat.com> 4.2.85-1
- 4.2.85
- Obsoletes/Provides: PolicyKit-kde(-devel)

* Wed May 06 2009 Than Ngo <than@redhat.com> - 4.2.3-2
- Requires: oxygen-icon-theme >= 4.2.2
- fix oxygen-cursor-themes noarch'ness

* Sun May 03 2009 Than Ngo <than@redhat.com> - 4.2.3-1
- 4.2.3

* Tue Apr 28 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-5
- #497657 -  kpackagekit/kopete notification misrendering/missing 
  buttons with qt-4.5.1

* Wed Apr 22 2009 Than Ngo <than@redhat.com> - 4.2.2-4
- dropp unused BR on libraw1394, it breaks the build on s390(x)

* Sun Apr 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-3
- Calendar standalone plasmoid on Desktop using 100% of CPU (kde#187699)

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets
- drop upstreamed patches

* Mon Mar 30 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Mon Mar 23 2009 Than Ngo <than@redhat.com> - 4.2.1-12
- upstream patch to fix suspending issue

* Mon Mar 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-11
- Obsoletes: guidance-power-manager (-> powerdevil upgrade path, F-11+)

* Wed Mar 18 2009 Than Ngo <than@redhat.com> - 4.2.1-10
- upstream patch to fix MenuEntryActions created from khotkeys

* Mon Mar 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-9
- kdm subpkg
- -devel: move cmake modules here
- Requires: kdelibs4%%{?_isa} ..
- BR: libutempter-devel (drops need for kwrited helper)

* Thu Mar 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-8
- oxygen-cursor-themes: make noarch (f10+)

* Thu Mar 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-7
- fix quicklauch (kdebug#185585,rh#489769)
- -wallpapers: make noarch (f10+)

* Tue Mar 10 2009 Than Ngo <than@redhat.com> - 4.2.1-6
- fix konsole patch to use invokeTerminal

* Mon Mar  9 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.1-5
- fix pager not displaying desktop numbers (kdebug#184152)

* Mon Mar 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-4
- kde 4.2 update crashes plasma (kdebug#185736)

* Wed Mar 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-3
- move designer plugins to main/runtime (#487622)

* Tue Mar 03 2009 Than Ngo <than@redhat.com> - 4.2.1-2
- respin

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Thu Feb 26 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-17
- kio_sysinfo kick-off integration

* Tue Feb 24 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-16
- no klipper action on selection for Arora browser

* Fri Feb 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-15
- Provides: service(graphical-login) = kdm

* Fri Feb 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-14
- Requires: oxygen-icon-theme >= %%version

* Thu Feb 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-13
- dpms issues (kdebug#177123)

* Wed Feb 18 2009 Than Ngo <than@redhat.com> - 4.2.0-12
- drop the BR on PyKDE4, it's just needed for runtime
- python-applet subpackage

* Tue Feb 17 2009 Than Ngo <than@redhat.com> - 4.2.0-11
- googlegadgets subpackage

* Mon Feb 16 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-10
- fix shutdown dialog not centered, sometimes entirely off screen (kde#181199)

* Wed Feb 11 2009 Than Ngo <than@redhat.com> - 4.2.0-9
- fix kdm crash with Qt-4.5

* Mon Feb 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-8
- kickoff logout shuts down system (#484737, kdebug#180576)

* Sun Feb 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-7
- include awol rss dataengine, BR: kdepimlibs-devel (see also kdebug#179050)

* Fri Jan 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-4.2
- respin default_applets patch for kpowersave too (#483163)

* Thu Jan 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-4.1
- conditionalize bluetooth backport on F10+
- F9: revert solid-bluetooth to the version from KDE 4.1.4

* Thu Jan 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-4
- omit ldap hack (#457638), kde42's reduced linkage to the rescue

* Thu Jan 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-3
- Requires: PyKDE4 (for plasmascript bits)
- solid-bluetoothTrunkTo42.diff (bug #481801), and 
  +Provides: solid-bluetooth(-devel) = 4.3

* Wed Jan 28 2009 Than Ngo <than@redhat.com> - 4.2.0-2
- readd the patch that omist battery applet when guidance-power-manager is installed

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Fri Jan 16 2009 Than Ngo <than@redhat.com> - 4.1.96-4
- backport fix from trunk to allow symlinks in wallpaper theme

* Wed Jan 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.1.96-3
- BR: google-gadgets-devel > 0.10.5

* Fri Jan 09 2009 Than Ngo <than@redhat.com> - 4.1.96-2
- remove Provides: plasma-devel  

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Tue Dec 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.85-7
- Obsoletes: kpowersave (kpowersave -> powerdevil upgrade path, F-11+)

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.85-6
- (re)enable edje, google-gadget support

* Thu Dec 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-5
- drop BR edje-devel, we need QEdje instead, which we don't have yet
- comment out BR google-gadgets-* for now, need 0.10.4, have 0.10.3

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-4
- BR: edje-devel
- BR: google-gadgets-devel

* Tue Dec 16 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-3
- respun tarball

* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-2
- BR: PyKDE4-devel >= %%version

* Thu Dec 11 2008 Than Ngo <than@redhat.com> -  4.1.85-1
- 4.2beta2

* Wed Dec 10 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.82-1
- 4.1.82
- rebase redhat-startkde patch

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-12
- move libplasma_applet-system-monitor.so from -devel to -libs (not a symlink)

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-11
- drop devel symlink (parallel -devel) hacks, not needed anymore in this package

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-10
- keep libtaskmanager.so in libdir

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-9
- keep libweather_ion.so in libdir

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-8
- keep libplasmaclock.so in libdir

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-7
- rebuild for Python 2.6

* Thu Nov 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-6
- disable Logitech mouse KCM again until #399931 is fixed

* Thu Nov 27 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-5
- use python_sitearch for x86_64 systems
- kephal seems to be disabled/removed, re-adapted file lists

* Tue Nov 25 2008 Than Ngo <than@redhat.com> 4.1.80-4
- respin

* Sun Nov 23 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-3
- rebase kdebase-workspace-4.1.1-show-systemsettings.patch
- new library: Kephal -> adapt file lists

* Wed Nov 19 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged
- drop kdebase-workspace-4.1.2-kdm-i18n.patch, it's included in upstream
- drop kdebase-workspace-4.0.85-plasma-default-wallpaper.patch, it's included in upstream
- drop kdebase-workspace-4.1.65-consolekit-kdm.patch
- add kdebase-workspace-4.1.80-session-button.patch
- add kdebase-workspace-4.1.2-ldap.patch

* Wed Nov 19 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast
- drop _default_patch_fuzz 2
- rebase startkde patch
- rebase plasma-konsole patch
- rebase ck-shutdown patch
- add PyKDE4-devel, python-devel and PyQt4-devel to build plasma's python
  scripting interface
- BR google-gadgets-devel for google gadgets scriptengine
- BR libusb-devel for Logitech USB support in KControl

* Thu Nov 13 2008 Than Ngo <than@redhat.com> 4.1.3-5
- apply upstream patch to fix X crash when disabling compositing

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Fri Nov 07 2008 Than Ngo <than@redhat.com> 4.1.2-14
- only omit battery applet when guidance-power-manager is installed

* Fri Nov 07 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-13
- omit battery applet from default panel

* Wed Nov 05 2008 Than Ngo <than@redhat.com> 4.1.2-12
- fix i18n issue in kdm

* Tue Nov 04 2008 Than Ngo <than@redhat.com> 4.1.2-11
- add workaround for ldap issue (#457638)

* Sun Nov 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-10
- never touch PATH in startkde, prepending $QTDIR/bin is unnecessary on Fedora
  and breaks locating Qt 3 Assistant and other Qt 3 stuff (startkde gets run
  with a full path by KDM)

* Sat Nov 01 2008 Than Ngo <than@redhat.com> 4.1.2-9
- previous session button should be enabled

* Fri Oct 31 2008 Than Ngo <than@redhat.com> 4.1.2-8
- apply patch to fix multihead issue
- bz#469235, use non-blocking QProcess:startDetacted

* Sat Oct 25 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-7
- F10: use KDM default face icon from solar-kde-theme, require it

* Sat Oct 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-6
- reenable panel-autohide-fix-flicker patch
- backport revision 866998 to fix the CPU consumption problem (kde#172549)
- backport panelview.cpp coordinate fixes (revisions 869882, 869925, 870041)
- backport revision 871058 (request config sync when panel controller goes away)

* Fri Oct 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-5
- disable panel-autohide-fix-flicker patch for now, eats CPU

* Thu Oct 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-4
- backport panel autohide from 4.2 / plasma-4.1-openSUSE

* Wed Oct  8 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.2-3
- fix crash when invoking a klipper command for a second time

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Mon Sep 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.1-2
- show KCM icon in rootprivs patch (thanks to Harald Sitter "apachelogger")

* Thu Aug 28 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-8
- patch another place where systemsettings was hidden from the menu (#457739)

* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-7
- enable KWin taskbarthumbnail effect (used by backported tooltip manager)

* Fri Aug 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-6
- patch to help krandr issues/crashes (kde#152914)

* Fri Aug 01 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.0-5
- fix 457479: "Run as root" dialog of kdm system settings is shown twice
  (due to activated signal being connected to twice)

* Fri Aug 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-4
- fix KDM configuration using the wrong appsdir for themes (#455623)

* Mon Jul 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-3
- respun tarball

* Sun Jul 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-2
- updated tooltip manager from 4.2 (fixes Plasma crash on theme change, #456820)

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Wed Jul 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-5
- F10+: fix circular kdebase<->kdebase-workspace dependency: don't Obsolete or
  Require kdebase, as kdebase now requires kdebase-workspace, obviating the
  upgrade path hack

* Tue Jul 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-4
- oxygen-cursor-themes, -wallpapers subpkgs

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-3
- BR soprano-devel (optional dependency of the Plasma Engine Explorer)

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-2
- backport Plasma tooltip manager from KDE 4.2 (fixes regression from 4.0)
  WARNING: Adds some new APIs from 4.2 (Plasma::popupPosition, Plasma::viewFor,
           Plasma::ToolTip*), use at your own risk, we have no control to
           guarantee that they will not change!

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-8
- fix KDM ConsoleKit patch to use x11-display-device instead of display-device

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-7
- fix segfault in KDM ConsoleKit patch (#455562)

* Tue Jul 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-6
- move systemsettings back from System to Settings in the menu

* Mon Jul 14 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-5
- new consolekit-kdm patch using libck-connector, BR ConsoleKit-devel (#430388)

* Mon Jul 14 2008 Rex Dieter <rdieter@fedorproject.org> 4.0.98-4
- install circles kdm theme

* Sun Jul 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-3
- sync kickoff-suspend patch from F9 (loads ksmserver translations)

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-2
- respun tarball (with systray patch)

* Thu Jul 10 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Wed Jul 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.85-3
- rewrite and reapply plasma-default-wallpaper patch
- (no more separate plasma-default-wallpaper-config part)
- rediff kde#154119 patch one last time

* Wed Jul 09 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-2
- systray icon patch (kde#164786)

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Fri Jun 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- port and apply kde#154119/kde#158301 patch for moving icons on panel (#439587)

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Tue Jun 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-2
- +Provides: kdm

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Wed Jun 04 2008 Than Ngo <than@redhat.com> 4.0.80-4
- fix #449881, ksysguard OnlyShowIn=KDE

* Tue Jun 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-3
- enable NetworkManager support, now compatible with NM 0.7

* Thu May 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.80-2
- BR: libcaptury-devel

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 21 2008 Than Ngo <than@redhat.com> 4.0.72-4
- fix #447030, hyperlinks do not open correctly in firefox

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-3
- ksysguardd subpkg (#426543)
- %%config(noreplace) systemsettingsrc

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- gtkrc patch (rh#443309, kde#146779)

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- update file list (Lorenzo Villani)
- port plasma-konsole, ck-shutdown, rootprivs, plasma-default-wallpaper patches
- remove NoDisplay=true in systemsettings onlyshowkde patch (still add
  OnlyShowIn=KDE), rename to show-systemsettings
- drop upstreamed suspend patch
- drop backported kde#155362 and menu-switch patches
- drop rh#443610 patch, "Zoom Out" should be working in 4.1
- disable kde#158301 patch for now (fails to apply, looks hard to port)

* Fri May 02 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-20
- Requires: kdebase , so it doesn't go missing on upgrades from kde3 (#444928)

* Mon Apr 28 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-19
- #444141: Initial wallpaper chooser has "EOS" preselected but wallpaper is "Fedora Waves"

* Sun Apr 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-18
- don't show "Zoom Out" toolbox action (#443610, patch from openSUSE branch)

* Sat Apr 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-17
- allow moving plasmoids on panels (#439587, kde#158301) (upstream patch)

* Fri Apr 18 2008 Than Ngo <than@redhat.com> 4.0.3-16
- fix #442559, Suspend/Hibernate issue on logout

* Tue Apr 15 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-15
- workaround #434824: KDE4 System Settings - No Method To Enter Administrative Mode
- fix #441062: packagekit tools do not show icons correctly on KDE

* Tue Apr 15 2008 Sebastian Vahl <fedora@deadbabylon.de> 4.0.3-13
- update redhat-startkde.patch to match waves background color (#442312)

* Fri Apr 11 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-12
- allow to define a default wallpaper (plasmarc:wallpaper)

* Wed Apr 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-11
- read the default KSplash theme from kde-settings in startkde (#441565)

* Mon Apr 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-7
- own %%{_kde4_appsdir}/kdm/faces and set default user image (#441154)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-6
- rebuild for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-5
- update file list for _kde4_libexecdir

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- backport context menu switch between Kickoff and simple menu from 4.1

* Sat Mar 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- add support for shutdown/reboot through ConsoleKit >= 0.2.4 (#431817)

* Fri Mar 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- most of the kde#155362 patch has been merged, keep only the config part

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.2-9
- add onlyshowin=KDE for systemsetting

* Thu Mar 13 2008 Than Ngo <than@redhat.com> 4.0.2-8
- backport upstream patch to fix crash in kmenuedit when users
  delete entry and save it

* Wed Mar 12 2008 Than Ngo <than@redhat.com> 4.0.2-7
- apply upstream patch to fix changing wallpaper causes desktop to go white
- apply upstream patch to check whether the to-be-embedded window has been destroyed, (bz#437058)

* Mon Mar 10 2008 Than Ngo <than@redhat.com> 4.0.2-6
- add gestures=false in kde-settings, remove kdebase-workspace-4.0.2-Gestures.patch

* Thu Mar 06 2008 Than Ngo <than@redhat.com> 4.0.2-5
- typo fix

* Tue Mar 04 2008 Than Ngo <than@redhat.com> 4.0.2-4
- disable gestures as default
- add konsole in desktop menu

* Mon Mar 03 2008 Than Ngo <than@redhat.com> 4.0.2-3
- apply upstream patch to fix crash in khotkeys

* Fri Feb 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- drop upstreamed kde#155974 patch
- update kde#155362 patch

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Mon Feb 25 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-8
- %%files: don't own %%_kde4_libdir/kde4/plugins (thanks wolfy!)

* Sat Feb 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-7
- omit broken disk space checking hunk from redhat-startkde patch (#426871)

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-6
- revert Conflicts, it matches against Provides from kdelibs3.

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-5
- Conflicts: kdelibs < 6:4 (temporary, to ease upgrade pain)
- -devel: Requires: %%name-libs

* Mon Feb 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-4
- backport enhancement to allow multi-line taskbar from 4.1 (kde#155974)

* Mon Feb 04 2008 Than Ngo <than@redhat.com> 4.0.1-3
- respin

* Fri Feb 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-2
- update kde#155362 (simple menu) patch for 4.0.1 (thanks to Jan Mette)

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-8
- respin (qt4)

* Sat Jan 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-7
- backport simple menu enhancement to show .desktop Name from 4.1 (kde#155362)

* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-6
- Obsoletes: kdebase < 6:4

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-5
- initial login with white background (#428131, kde#155122)

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-4
- use upstream systemtray patch (#427442, kde#153193)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-3
- respun tarball
- omit gtk_applet patch (for now, doesn't build)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- omit plasma-pager patch
- pull upstream patch to workaround gtk applet crasher (#427442)

* Mon Jan 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-1
- update to 4.0.0
- drop upstreamed creategtkrc-gtk212 patch
- update redhat-startkde and consolekit-kdm patches

* Mon Dec 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.97.0-5
- fix createGtkrc to set tooltip colors also for GTK+ 2.12+

* Sun Dec 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- Obsoletes: kdmtheme

* Mon Dec 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- Requires: coreutils dbus-x11 xorg-x11-apps xorg-x11-utils
            xorg-x11-server-utils (used in startkde)
- drop pam configs that were previously moved to kde-settings

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraprojec.torg. 3.97.0-1
- kde-3.97.0
- move pam configs to kde-settings
- Requires: kde-settings-kdm

* Tue Dec 04 2007 Than Ngo <than@redhat.com> 3.96.2-3
- fix kdm/kcheckpass/kscreensaver to get working

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-2
- BR: dbus-devel
- crystalsvg icons are not part of kdebase-workspace anymore
- make sure libkdeinit_plasma.so is in normal package

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-4
- Obsoletes and Provides kdebase-kdm for upgrades from old kde-redhat

* Fri Nov 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-3
- update and apply redhat-startkde patch
- update and apply KDM ConsoleKit patch (#228111, kde#147790)
- ConsoleKit patch also includes xdmcp fixes from Mandriva (#243560)

* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- %%doc README COPYING
- -libs subpkg
- -libs: Requires: kdelibs4
- don't remove libplasma.so from %%{_kde4_libdir}
- %%files: use %%_datadir for dbus-1/interfaces,xsessions

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-7
- use kde.desktop from /usr/share/apps/kdm/sessions/kde.desktop
- use %%config(noreplace) for /etc/ksysguarddrc
- Requires: kdebase, kdebase-runtime, oxygen-icon-theme
- fix url

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-6
- add patch to get pager in plasma bar
- re-added BR: libraw1394-devel

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-5
- leave libkworkspace.so for kate
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-4
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-3
- own some more directories
- add %%defattr to package devel
- some spec cleanups
- -R: kdepimlibs-devel
- +BR: libXpm-devel
- +BR: glib2-devel (do we really need this?)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- BR: libXxf86misc-devel
- BR: libXxf86misc-devel
- BR: libXcomposite-devel
- BR: bluez-libs-devel
- BR: libxklavier-devel
- BR: pam-devel
- BR: lm_sensors-devel
- BR: libXdamage-devel
- BR: libXv-devel
- BR: libXres-devel

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- kde-3.96.0

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.95.2-1
- Initial version of kdebase-workspace
